JackTrip: src/jacktrip_globals.h File Reference

JackTrip

Variables
jacktrip_globals.h File Reference
`#include "AudioInterface.h"`
Include dependency graph for jacktrip_globals.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
Global Functions
void | set_crossplatform_realtime_priority ()

## Variables
const char *const | gVersion = "1.1"
| JackTrip version. More...
Default Values
const int | gDefaultNumInChannels = 2
const int | gDefaultNumOutChannels = 2
const AudioInterface::audioBitResolutionT | gDefaultBitResolutionMode
const int | gDefaultQueueLength = 4
const int | gDefaultOutputQueueLength = 4
const uint32_t | gDefaultSampleRate = 48000
const uint32_t | gDefaultBufferSizeInSamples = 128
const QString | gDefaultLocalAddress = QString()
const int | gDefaultRedundancy = 1
const int | gTimeOutMultiThreadedServer = 5000
const int | gWaitCounter = 60
Network related ports
const int | gDefaultPort = 4464
| Default JackTrip Port. More...
Separator for terminal printing
const char *const | gPrintSeparator = "---------------------------------------------------------"
Global flags
int | gVerboseFlag
| Verbose mode flag declaration. More...
JackAudio
const int | gJackBitResolution = 32
| Audio Bit Resolution of the Jack Server. More...
JackTrip Server parameters
const int | gMaxThreads = 290
| Maximum Threads that can be run at the same time. More...
const int | gServerUdpPort = 4464
| Public well-known UDP port to where the clients will connect. More...

## Function Documentation

## ◆ set_crossplatform_realtime_priority()

void set_crossplatform_realtime_priority | ( |  | ) |

## Variable Documentation

## ◆ gDefaultBitResolutionMode

const AudioInterface::audioBitResolutionT gDefaultBitResolutionMode

Initial value:
=
AudioInterface::BIT16
AudioInterface::BIT16
16 bits (default)
Definition: AudioInterface.h:63

## ◆ gDefaultBufferSizeInSamples

const uint32_t gDefaultBufferSizeInSamples = 128

## ◆ gDefaultLocalAddress

const QString gDefaultLocalAddress = QString()

## ◆ gDefaultNumInChannels

const int gDefaultNumInChannels = 2

## ◆ gDefaultNumOutChannels

const int gDefaultNumOutChannels = 2

## ◆ gDefaultOutputQueueLength

const int gDefaultOutputQueueLength = 4

## ◆ gDefaultPort

const int gDefaultPort = 4464

Default JackTrip Port.

## ◆ gDefaultQueueLength

const int gDefaultQueueLength = 4

## ◆ gDefaultRedundancy

const int gDefaultRedundancy = 1

## ◆ gDefaultSampleRate

const uint32_t gDefaultSampleRate = 48000

## ◆ gJackBitResolution

const int gJackBitResolution = 32

Audio Bit Resolution of the Jack Server.

## ◆ gMaxThreads

const int gMaxThreads = 290

Maximum Threads that can be run at the same time.

## ◆ gPrintSeparator

const char* const gPrintSeparator = "---------------------------------------------------------"

## ◆ gServerUdpPort

const int gServerUdpPort = 4464

Public well-known UDP port to where the clients will connect.

## ◆ gTimeOutMultiThreadedServer

const int gTimeOutMultiThreadedServer = 5000

## ◆ gVerboseFlag

int gVerboseFlag

Verbose mode flag declaration.

## ◆ gVersion

const char* const gVersion = "1.1"

JackTrip version.

Todo:
  Add this namespace

## ◆ gWaitCounter

const int gWaitCounter = 60